JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LinkedListPointer< ObjectType >::Appender Class Reference
juce_core » containers

Allows efficient repeated insertions into a list. More...

`#include <juce_LinkedListPointer.h>`

## Public Member Functions
| Appender (LinkedListPointer &endOfListPointer) noexcept
| Creates an appender which will add items to the given list.
void | append (ObjectType *const newItem) noexcept
| Appends an item to the list.

## Detailed Description

template<class ObjectType>
class LinkedListPointer< ObjectType >::Appender

Allows efficient repeated insertions into a list.

You can create an Appender object which points to the last element in your list, and then repeatedly call Appender::append() to add items to the end of the list in O(1) time.

## Constructor & Destructor Documentation

## ◆ Appender()

template<class ObjectType >

LinkedListPointer< ObjectType >::Appender::Appender | ( | LinkedListPointer & | endOfListPointer | ) |
| noexcept

Creates an appender which will add items to the given list.

References jassert.

## Member Function Documentation

## ◆ append()

template<class ObjectType >

void LinkedListPointer< ObjectType >::Appender::append | ( | ObjectType *const | newItem | ) |
| noexcept

Appends an item to the list.

The documentation for this class was generated from the following file:

- juce_LinkedListPointer.h